> For the complete documentation index, see [llms.txt](https://docs.teller.org/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.teller.org/v2/personas/lenders/accept-loan-request.md).

# Accept Loan Request

In order to accept a loan request submitted by a borrower, a lender can call the function `acceptBid()` on the TellerV2 contract.  This will transfer the principal amount from the lender's wallet to the borrower's wallet and will transfer the collateral (if specified) from the borrower's wallet into the collateral escrow contract.

```solidity
/**
 * @notice Function for a lender to accept a proposed loan bid.
 * @param _bidId The id of the loan bid to accept.
 */
function lenderAcceptBid(uint256 _bidId)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teller.org/v2/personas/lenders/accept-loan-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
